# Recordings

Recordings are a convenient way to be able to rewatch your conference.\
For example it can be very useful in education scenarios where you could share the recorded lesson with students who couldn't attend the lesson.

Recordings are produced in the popular **mp4** file format. You can download them from the dashboard or through the [API endpoint](/reference/rest-api/recordings/download.md). Time-limited links to the mp4 files are being generated when you request a download.

Any video conference can be recorded by simply clicking the record button on the toolbar or calling the [startRecording](/reference/sdk/methods/startrecording.md) SDK method.

{% hint style="info" %}
You can also use the **recording\_autostart\_enabled** boolean property when creating the room, so the recording starts automatically on the first user entering the room.
{% endhint %}

{% content-ref url="/pages/u4ZxYFBAsV6ywvzagn6M" %}
[List](/reference/rest-api/recordings/list.md)
{% endcontent-ref %}

{% content-ref url="/pages/2YArfsbBE35KLRUl8TNA" %}
[Download](/reference/rest-api/recordings/download.md)
{% endcontent-ref %}

{% content-ref url="/pages/n0Q7XCgOhD5qu1btY8Y2" %}
[Delete](/reference/rest-api/recordings/delete.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/recordings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
